CIO_IGNORE(8)

NAME
cio_ignore - query or modify the CIO device driver blacklist

SYNOPSIS
cio_ignore [-h|--help] [-v|--version]
    [-a|--add DEVID] [-A|--add-all]
    [-r|--remove DEVID] [-R|--remove-all]
    [-l|--list] [-L|--list-not-blacklisted]
    [-i|--is-ignored DEVID]
    [-k|--kernel-param] [-u|--unused] [-p|--purge]

DESCRIPTION
The cio_ignore command provides functions to query and modify the contents of the CIO device driver blacklist. This blacklist determines if Linux tries to make a device which is connected through the Channel-subsystem (CSS) available for use by Linux. Adding a device to the blacklist does not immediately result in a change of device availability. For devices which are already available in Linux, the blacklist only has an effect when attaching or re-attaching the device, or when using the purge function. Removing a device from the blacklist on the other hand will directly result in an attempt to make that device available. The blacklist is not persistent, that is it is cleared during initial program load. To create a persistent blacklist, add the output of the kernel-param option to the Linux kernel parameters. Advantages of using a blacklist The CIO device driver will not perform device discovery operations or allocate memory for devices which are on the blacklist. Therefore it is possible to significantly reduce time and memory consumption during the boot phase of Linux by specifying a blacklist as kernel parameter which contains all devices that are not required for normal operations. Using the purge function, it is also possible to make devices only temporarily available (for example DASD disks which are only used for backup) and remove them afterwards when they are no longer required. Device ID format To identify a device, specify its device ID in the format: "<CSSID>.<SSID>.<DEVNO>". For example: "0.0.0190".
The meaning of each field is: CSSID
    Channel-subsystem ID in hexadecimal notation with at most two digits.
SSID
    Subchannel-set ID in hexadecimal notation with exactly one digit.
DEVNO
    Device number in hexadecimal notation with exactly four digits.
Devices for which CSSID and SSID are 0 can alternatively be specified by using only the device number, either with or without leading "0x" and zeros. For example: "190", "0x190" or "0190".

OPTIONS
-h
--help
    Print a short help text, then exit.
-v
--version
    Print version information, then exit.
-a
--add DEVID
    Add one or more device IDs to the blacklist.
    DEVID can be a single device ID as specified in section DESCRIPTION, or it can be a range of device IDs, or a comma-separated list of device IDs or ranges. Ranges may not cross SSID boundaries. See also section EXAMPLES.
    Note that adding an existing device to the blacklist will not immediately change its availability in Linux.
-A
--add-all
    Add the complete range of possible device IDs to the blacklist.
-r
--remove DEVID
    Remove one or more device IDs from the blacklist DEVID can be a single device ID as specified in section DESCRIPTION, or it can be a range of device IDs, or a comma-separated list of device IDs or ranges. Ranges may not cross SSID boundaries. See also section EXAMPLES.
    When a device is removed from the blacklist, Linux will immediately attempt to make that device available.
-R
--remove-all
    Remove all device IDs from the blacklist.
-l
--list
    List device IDs on the blacklist.
-L
--list-not-blacklisted
    List device IDs not on the blacklist.
-i
--is-ignored DEVID
    Check if the device with the specified ID is on the blacklist. If it is on the blacklist, the exit code is 0. If it is not on the blacklist, the exit code is 2.
-k
--kernel-param
    List the current blacklist in cio_ignore kernel param format. To make a blacklist persistent across IPL, use the output of this command and add it to the Linux kernel parameter.
-u
--unused
    Create a blacklist which includes all unused (i.e. offline) devices. Note: The new blacklist replaces any previous one. Also in this context, an unused device is a device which is currently not online (see chccwdev(8)).
-p
--purge
    Remove all blacklisted unused (i.e. offline) devices from Linux. To make a device available again, use the remove or remove-all function.

EXAMPLES
cio_ignore -a 0x190,0.0.1000-0.0.1002
    Add devices 0.0.0190, 0.0.1000, 0.0.1001 and 0.0.1002 to the blacklist. If these devices are currently available in Linux, their availability will not immediately change.
cio_ignore -A -r 0x190
    Add all devices except device 0.0.0190 to the blacklist.
cio_ignore -r 0x190
    Remove device 0.0.0190 from the blacklist. If this device is currently attached to the Linux system but not available, it will immediately become available.
cio_ignore -u -p
    Remove all devices from Linux which are currently not online.
cio_ignore -u -k
    Set the blacklist to contain all offline devices and print the corresponding kernel parameter.

SEE ALSO
lscss(8), chccwdev(8)